# Updates the details of an existing bookkeeping rule for the specified client. The rule to update is identified by its unique rule ID. Endpoint: PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId} Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) - `ruleId` (string, required) ## Request fields (application/json): - `displayName` (string) Sets the display name for the bookkeeping rule. - `bookkeepingSettingId` (string) Specifies the ID of the settings to link to. If no settings exist, create them before proceeding. - `autoUpdate` (boolean) Sets if the voucher is automatically updated in the erp-system. - `isFeeRule` (boolean) True if the rule is a fee rule, false otherwise. - `minOptionalMatches` (integer) Gets or sets the minimum number of filters that must match for the bookkeeping rule to apply. This property works in combination with the 'at least FilterCriteria' logic to determine applicability. - `transactionPostingMode` (string) Enum: "CombineIntoSingleVoucher", "PostAsSeparateVouchers", "MultiLinedVoucher", "MultiLinedVoucherWithUnmatched" ## Response 200 fields (application/json): - `links` (object) - `clientId` (string) - `ruleId` (string) ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)